import { JSONObject } from '@phosphor/coreutils';
import { Widget } from '@phosphor/widgets';
import { IMapDConnectionData } from './connection';
import 'mapd-connector/dist/browser-connector.js';
/**
 * A class for rendering a MapD-generated image.
 */
export declare class MapDVega extends Widget {
    /**
     * Construct a new MapD widget.
     */
    constructor(vega: JSONObject, connection: IMapDConnectionData);
    readonly renderedImage: Promise<string>;
    private _renderData();
    /**
     * Set the image data to a base64 encoded string.
     */
    private _setImageData(blob);
    private _rendered;
    private _vega;
    private _connection;
    private _img;
    private _error;
}
